// Copyright (C) 1998 Mauno Rnkk <mronkko@abo.fi>
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


#include "CString.h"


const CString& CString::operator = (const CString& cs)
{
  char *sp;
  
  sp=strdup(cs.m_s);
  free (m_s);
  m_s=sp;
  return *this;
}


const CString& CString::operator += (const CString& cs)
{
  char *sp;
  int  l;
  
  l=strlen(m_s);
  sp=(char *)malloc(l+strlen(cs.m_s)+1);
  strcpy (sp, m_s);
  strcpy (&(sp[l]), cs.m_s);
  free (m_s);
  m_s=sp;
  return *this;
}


const CString operator + (const CString& as, const CString& bs)
{
  CString res(as);
  
  res += bs;
  return res;
}


ostream& operator << (ostream& str, const CString& s)
{ 
  return str << s.val(); 
}





